package auth

import (
	crr "git.loafle.net/commons_go/rpc/registry"
	oopar "git.loafle.net/overflow/overflow_probes/auth/rpc"
)

func initRPCRegistry(a *auth) crr.RPCInvoker {
	rpcRegistry := crr.NewRPCRegistry()

	napService := &oopar.NoAuthProbeService{
		AcceptChan: a.acceptChan,
		DenyChan:   a.denyChan,
	}
	rpcRegistry.RegisterService(napService, "")

	return rpcRegistry
}
