package rpc

import (
	noauthprobeM "git.loafle.net/overflow/overflow_commons_go/modules/noauthprobe/model"
	probeM "git.loafle.net/overflow/overflow_commons_go/modules/probe/model"
)

type NoAuthProbeService struct {
	AcceptChan chan *probeM.Probe
	DenyChan   chan *noauthprobeM.NoAuthProbe
}

func (s *NoAuthProbeService) Accept(probe *probeM.Probe) {
	s.AcceptChan <- probe
}

func (s *NoAuthProbeService) Deny(noAuthProbe *noauthprobeM.NoAuthProbe) {
	s.DenyChan <- noAuthProbe
}

